DIALOG(3)

NAME
DIALOG

SYNOPSIS
#include <allegro.h>

typedef struct DIALOG

DESCRIPTION
   int (*proc)(int, DIALOG *, int); - dialog procedure (message handler)
   int x, y, w, h;                  - position and size of the object
   int fg, bg;                      - foreground and background colors
   int key;                         - ASCII keyboard shortcut
   int flags;                       - flags about the status of
                                      the object
   int d1, d2;                      - whatever you want to use them for
   void *dp, *dp2, *dp3;            - pointers to more
                                      object-specific data

This is the structure which contains a GUI object. Read chapter "GUI routines" for a description on how to obtain/use this structure.

SEE ALSO
do_dialog(3)